@extends('admin.layout.master')
@section('title', 'Validation Forms')


@section('css')
<link rel="stylesheet" type="text/css" href="{{asset('assets/css/vendors/animate.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('assets/css/vendors/chartist.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('assets/css/vendors/owlcarousel.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('assets/css/vendors/prism.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('assets/css/vendors/select2.css')}}">

@endsection

@section('style')

<style>
    .avatar {
      vertical-align: middle;
      width: 50px;
      height: 50px;
      border-radius: 50%;
    }
    </style>
@endsection

@section('breadcrumb-title')
<h3>Reports</h3>
@endsection



@section('content')
<div class="container-fluid">
  <div class="row size-column">
    <div class="col-xl-12 box-col-12 xl-100">
      <div class="row dash-chart">

  
        <div class="col-xl-12 box-col-12 col-lg-12 col-md-12 ">
          <div class="card o-hidden">
            <div class="card-body text-center">
              <div class="ecommerce-widgets media">
                <div class="media-body">
                  <p class="f-w-500 font-roboto">Total Rides Number</p>
                  <h4 class="f-w-500 mb-0 f-26"><span class="counter">{{ $totalRides }}</span></h4>
                </div>
                <div class="ecommerce-box light-bg-primary"><i class="icofont icofont-ebook"></i></div>
              </div>
            </div>
          </div>
        </div>



       
        <div class="row">
          <div class="col-md-12">
            <div class="card">
            
              <div class="card-body">
                <form class="needs-validation" novalidate="" method="GET" enctype="multipart/form-data" action="{{ route('rides.report1') }}">
                    @csrf
                     <div class="row">
                    <div class="col-md-6 mb-3">
                      <label for="validationCustom03">Drivers</label>

                      <select class="js-example-placeholder-multiple col-sm-12l"  id="validationCustom033"  name="driver_id"  >
                            <option value=""></option>

                          @forelse ($drivers as $driver)
                              <option value="{{ $driver->id }}"  @selected($driver->id==($_GET['driver_id']??0))>{{ $driver->name }}</option>
                          @empty
                              
                          @endforelse
                    
                      </select>
                      <div class="invalid-feedback">Please provide a valid country.</div>
    
                  </div>


                      <div class="col-md-6 mb-3">
                          <label for="validationCustom023">Cities</label>

                          <select class="js-example-placeholder-multiple col-sm-12"  id="validationCustom023"  name="city_id" >
                            <option value=""></option>
                              @forelse ($cities as $city)
                              
                                <option value="{{ $city->id }}" @selected($city->id==($_GET['city_id']??0))>{{ $city->name }}</option>
                              @empty
                                  
                              @endforelse
                        
                          </select>
                        <div class="invalid-feedback">Please provide a valid city.</div>
      

        
                
                </div>
             </div>
                  <button class="btn btn-primary" type="submit">search </button>

                  <div class="col-xl-12 box-col-12 col-lg-12 col-md-12 mt-2">
                    <div class="card o-hidden">
                      <div class="card-body text-center">
                        <div class="ecommerce-widgets media">
                          <div class="media-body">
                            <p class="f-w-500 font-roboto">Rides Results  Number</p>
                            <h4 class="f-w-500 mb-0 f-26"><span class="">{{ $searchResultRidesCount   }}</span></h4>
                          </div>
                          <div class="media-body">
                            <p class="f-w-500 font-roboto">Rides Total  income</p>
                            <h4 class="f-w-500 mb-0 f-26"><span class="">{{ $searchResultRidesIncome   }}</span></h4>
                          </div>
                          <div class="ecommerce-box light-bg-primary"><i class="icofont icofont-ebook"></i></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>
            
          
          </div>
        </div>
      </div>
    </div>

 
  </div>
</div>

@endsection

@section('script')
  <script src="{{asset('assets/js/chart/chartist/chartist.js')}}"></script>
  <script src="{{asset('assets/js/chart/chartist/chartist-plugin-tooltip.js')}}"></script>
  <script src="{{asset('assets/js/chart/apex-chart/apex-chart.js')}}"></script>
  <script src="{{asset('assets/js/chart/apex-chart/stock-prices.js')}}"></script>
  <script src="{{asset('assets/js/prism/prism.min.js')}}"></script>
  <script src="{{asset('assets/js/clipboard/clipboard.min.js')}}"></script>
  <script src="{{asset('assets/js/counter/jquery.waypoints.min.js')}}"></script>
  <script src="{{asset('assets/js/counter/jquery.counterup.min.js')}}"></script>
  <script src="{{asset('assets/js/counter/counter-custom.js')}}"></script>
  <script src="{{asset('assets/js/custom-card/custom-card.js')}}"></script>
  <script src="{{asset('assets/js/owlcarousel/owl.carousel.js')}}"></script>
  <script src="{{asset('assets/js/dashboard/dashboard_2.js')}}"></script>
  <script src="{{asset('assets/js/select2/select2.full.min.js')}}"></script>
<script src="{{asset('assets/js/select2/select2-custom.js')}}"></script>
@endsection

